#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define     _upstream_nvr   elementtree-1.2.6-20050316
%define     _upstream_cnvr  cElementTree-1.0.2-20050302    
%define		original_name	elementtree

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Fast XML parser and writer
Name:		python%{PVER}-%{original_name}
Version:	1.2.6
Release:	4
License:	PSF
Group:		Development/Libraries
URL:		http://effbot.org/zone/element-index.htm
Source0:	http://effbot.org/downloads/%{_upstream_nvr}.zip
Source1:	http://effbot.org/downloads/%{_upstream_cnvr}.zip
Source2:	cElementTree-system-expat-setup.py
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	expat-devel
Provides:	python-elementtree = %{version}-%{release}
Obsoletes:	python-elementtree <= %{version}-%{release}
Obsoletes:	python25-elementtree

%description
The Element type is a simple but flexible container object, designed
to store hierarchical data structures, such as simplified XML
infosets, in memory. The element type can be described as a cross
between a Python list and a Python dictionary.
This package also includes the C implementation, %{_upstream_cnvr}.

%prep
%setup -q -n %{_upstream_nvr} -a 1

## Take care of cElementTree
pushd %{_upstream_cnvr}
mv -f setup.py setup.py-orig
cp -f %{SOURCE2} setup.py
cp -f README ../README-cElementTree
cp -f CHANGES ../CHANGES-cElementTree
popd

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done


%build
%{__python} setup.py build
pushd %{_upstream_cnvr}
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
popd

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
pushd %{_upstream_cnvr}
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc docs samples README* CHANGES* benchmark.py
%dir %{python_sitelib}/elementtree
%{python_sitelib}/elementtree/*.py
%{python_sitelib}/elementtree/*.pyc
%ghost %{python_sitelib}/elementtree/*.pyo
%{python_sitelib}/*.so

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.6-4
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.6-3
- rebuild against python25-2.5.4-3
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-2
- rebuilt against python 2.5
* Sun Jun 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.6-1
- Initial Release
